!include "EnvVarUpdate.nsh"

Name "MultiVNC Client"
OutFile "multivnc-client-setup.exe"
InstallDir $PROGRAMFILES\MultiVNC
RequestExecutionLevel admin
LicenseData license.txt

Page license
Page directory
Page instfiles
UninstPage uninstConfirm
UninstPage instfiles

Section ""
        ; Install
        SetOutPath $INSTDIR
        File multivnc_client.exe
        File hook.dll
        File /r share
        File license.txt
        WriteUninstaller uninstall.exe
        ; Uninstall Information setting
        WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\MultiVNC" "DisplayName" "MultiVNC"
        WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\MultiVNC" "UninstallString" "$INSTDIR\uninstall.exe"
        WriteRegDWORD HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\MultiVNC" "NoModify" 1
        WriteRegDWORD HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\MultiVNC" "NoRepair" 1
        ; Environment Variable setting
        ${EnvVarUpdate} $0 "PATH" "A" "HKLM" "$INSTDIR"
        ; Firewall setting
        WriteRegStr HKLM "System\CurrentControlSet\Services\SharedAccess\Parameters\FirewallPolicy\FirewallRules" "MultiVNC-Client-TCP" "v2.0|Action=Allow|Active=TRUE|Dir=In|Protocol=6|App=$INSTDIR\multivnc_client.exe|Name=multivnc_client|Edge=FALSE|"
        WriteRegStr HKLM "System\CurrentControlSet\Services\SharedAccess\Parameters\FirewallPolicy\FirewallRules" "MultiVNC-Client-UDP" "v2.0|Action=Allow|Active=TRUE|Dir=In|Protocol=17|App=$INSTDIR\multivnc_client.exe|Name=multivnc_client|Edge=FALSE|"
SectionEnd

Section "Uninstall"
        ; Uninstall
        RMDir /r $INSTDIR\share
        Delete $INSTDIR\hook.dll
        Delete $INSTDIR\multivnc_client.exe
        Delete $INSTDIR\license.txt
        Delete $INSTDIR\uninstall.exe
        RMDir $INSTDIR
        ; Uninstall Information setting
        DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\MultiVNC"
        ; Environment Variable setting
        ${un.EnvVarUpdate} $0 "PATH" "R" "HKLM" "$INSTDIR"
        ; Firewall setting
        DeleteRegValue HKLM "System\CurrentControlSet\Services\SharedAccess\Parameters\FirewallPolicy\FirewallRules" "MultiVNC-Client-TCP"
        DeleteRegValue HKLM "System\CurrentControlSet\Services\SharedAccess\Parameters\FirewallPolicy\FirewallRules" "MultiVNC-Client-UDP"
SectionEnd
