////////////////////////////////////////////////////////////////////////////////
/// @file
/// @brief 文字コード変換関数のソース
///
/// 文字コードの変換を行います。
/// 特に何も行わず、入力用バッファの内容を出力用バッファにコピーするだけになっています。
///
/// Copyright (C) 2009 Alpha Systems Inc. All Rights Reserved.
/// @internal
/// @date $Date: $
/// @version $Revision: $
////////////////////////////////////////////////////////////////////////////////

#include <stdio.h>
#include <memory.h>
#include <string.h>

/// @brief 文字列を出力用バッファにコピー
/// @param src 変換元文字列
/// @param[out] dst 変換後の文字列
/// @param strSrcLen 変換元文字列の長さ
/// @param strDstLen 変換後の文字列の長さ
/// @retval 0 正常終了
/// @note strDstLenは利用されない
/// @author hattay

int convertCharset(const char *src, char **dst, size_t strSrcLen, size_t strDstLen)
{
	if(src == NULL)
	{
		return -1;
	}
	if(dst == NULL)
	{
		return -1;
	}
	if(*(dst) == NULL)
	{
		return -1;
	}
	if(strSrcLen <= 0)
	{
		return -1;
	}
	if(strDstLen <= 0)
	{
		return -1;
	}

	memcpy(*(dst), src, strSrcLen);

	return 0;
}
